---
title: text-emphasis
slug: Web/CSS/text-emphasis
tags:
  - CSS
  - CSS Property
  - CSS Text Decoration
  - Reference
  - 'recipe:css-shorthand-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>text-emphasis</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property applies emphasis marks to text (except spaces and control characters). It is a <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand</a> for {{cssxref("text-emphasis-style")}} and {{cssxref("text-emphasis-color")}}.</p>

<div>{{EmbedInteractiveExample("pages/css/text-emphasis.html")}}</div>

<p>The <code>text-emphasis</code> property is quite different from {{cssxref("text-decoration")}}. The <code>text-decoration</code> property does not inherit, and the decoration specified is applied across the whole element. However, text-emphasis does inherit, which means it is possible to change emphasis marks for descendents.</p>

<p>The size of the emphasis symbol, like ruby symbols, is about 50% of the size of the font, and <code>text-emphasis</code> may affect line height when the current leading is not enough for the marks.</p>

<div class="note">
<p><code>text-emphasis</code> doesn't reset the value of {{cssxref("text-emphasis-position")}}. This is because if the style and the color of emphasis marks may vary in a text, it is extremely unlikely that their position will. In the very rare cases when this is needed, the property {{cssxref("text-emphasis-position")}}.</p>
</div>

<h2 id="Constituent_properties">Constituent properties</h2>

<p>This property is a shorthand for the following CSS properties:</p>

<ul>
 <li><a href="/en-US/docs/Web/CSS/text-emphasis-color"><code>text-emphasis-color</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/text-emphasis-style"><code>text-emphasis-style</code></a></li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Initial value */
text-emphasis: none; /* No emphasis marks */

/* &lt;string&gt; value */
text-emphasis: 'x';
text-emphasis: '点';
text-emphasis: '\25B2';
text-emphasis: '*' #555;
text-emphasis: 'foo'; /* Should NOT use. It may be computed to or rendered as 'f' only */

/* Keywords value */
text-emphasis: filled;
text-emphasis: open;
text-emphasis: filled sesame;
text-emphasis: open sesame;

/* Keywords value combined with a color */
text-emphasis: filled sesame #555;

/* Global values */
text-emphasis: inherit;
text-emphasis: initial;
text-emphasis: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>No emphasis marks.</dd>
 <dt><code>filled</code></dt>
 <dd>The shape is filled with solid color. If neither <code>filled</code> nor <code>open</code> is present, this is the default.</dd>
 <dt><code>open</code></dt>
 <dd>The shape is hollow.</dd>
 <dt><code>dot</code></dt>
 <dd>Display small circles as marks. The filled dot is <code>'•'</code> (<code>U+2022</code>), and the open dot is <code>'◦'</code> (<code>U+25E6</code>).</dd>
 <dt><code>circle</code></dt>
 <dd>Display large circles as marks. The filled circle is <code>'●'</code> (<code>U+25CF</code>), and the open circle is <code>'○'</code> (<code>U+25CB</code>). This is the default shape in horizontal writing modes when no other shape is given.</dd>
 <dt><code>double-circle</code></dt>
 <dd>Display double circles as marks. The filled double-circle is <code>'◉'</code> (<code>U+25C9</code>), and the open double-circle is <code>'◎'</code> (<code>U+25CE</code>).</dd>
 <dt><code>triangle</code></dt>
 <dd>Display triangles as marks. The filled triangle is <code>'▲'</code> (<code>U+25B2</code>), and the open triangle is <code>'△'</code> (<code>U+25B3</code>).</dd>
 <dt><code>sesame</code></dt>
 <dd>Display sesames as marks. The filled sesame is <code>'﹅'</code> (<code>U+FE45</code>), and the open sesame is <code>'﹆'</code> (<code>U+FE46</code>). This is the default shape in vertical writing modes when no other shape is given.</dd>
 <dt><code>&lt;string&gt;</code></dt>
 <dd>Display the given string as marks. Authors should not specify more than one<em> character</em> in <code>&lt;string&gt;</code>. The UA may truncate or ignore strings consisting of more than one grapheme cluster.</dd>
 <dt><code>&lt;color&gt;</code></dt>
 <dd>Defines the color of the mark. If no color is present, it defaults to <code>currentcolor</code>.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="A_heading_with_emphasis_shape_and_color">A heading with emphasis shape and color</h3>

<p>This example draws a heading with triangles used to emphasize each character.</p>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">h2 {
  text-emphasis: triangle #D55;
}</pre>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;h2&gt;This is important!&lt;/h2&gt;</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("A_heading_with_emphasis_shape_and_color", 500, 70)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Text Decoration', '#text-emphasis-property', 'text-emphasis')}}</td>
   <td>{{Spec2('CSS3 Text Decoration')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.properties.text-emphasis")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The longhand properties {{cssxref('text-emphasis-style')}}, {{cssxref('text-emphasis-color')}}.</li>
 <li>The {{cssxref('text-emphasis-position')}} property allowing to define the position of the emphasis marks.</li>
</ul>
